Bug 156632 - Installer selects wrong video mode leaving "Video Mode Not Supported" on display
Installer selects wrong video mode leaving "Video Mode Not Supported" on display
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Depends On:
  Show dependency treegraph
Reported: 2005-05-02 14:39 EDT by David Johnson
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 11:29:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Johnson 2005-05-02 14:39:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET CLR 1.0.3705; .NET CLR 1.1.4322)

Description of problem:
During the setup process the following hardware is detected:

ATI Radeon 9000
Samsung SyncMaster 192N
Generic 3 button mouse...

The graphical setup then starts up X to continue the install.
But the monitor then displays "Video Mode Not Supported".

Workaround #1 (setup)

To workaround this problem, i restarted and entered these commands:

 linux resolution=1280x1024 vsync=75

This time the setup runs successful, and installation completes.

The system reboots, but when it trys to start X again i get "Video Mode Not Supported"

Workaround #2 

Enter CTRL + ALT + # to get a VT.

Edit the /etc/X11/xorg.conf
Changed Section "Monitor" 

VertRefresh 56.0 - 75.0   (was 85.0)

Changed Section "Display"

Modes: "1280x1024" "1024x768" "800x600" "640x480"

Saved changes.
Shutdown and reboot.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Load CD1 and reboot

Actual Results:  Video Mode Not Supported

Expected Results:  The vsync range was wrong, so the monitor blanks when X Starts up.

Additional info:
Comment 1 Jeremy Katz 2005-05-05 17:25:07 EDT
The second workaround shouldn't be needed anymore (we keep the same X config
from the installer for the installed system... that should have been happening
or a long time now :-)

What's the output of 'kudzu -p -b DDC' on your system?
Comment 2 David Johnson 2005-05-05 21:06:57 EDT
here is the output:
class: VIDEO
bus: DDC
detached: 0
driver: unknown
desc: "ATI Technologies Inc. V250"
mem: 65536
class: MONITOR
bus: DDC
detached: 0
driver: unknown
desc: "Samsung SyncMaster 190N(M)/192N(M)/193N(M)"
id: SAM00a6
horizSyncMin: 30
horizSyncMax: 81
vertRefreshMin: 56
vertRefreshMax: 85
mode: 1280x1024
mode: 1024x768
mode: 800x600
mode: 640x480
mode: 1280x1024
mode: 1024x768
mode: 800x600
mode: 640x480
Comment 3 John Reiser 2005-05-12 23:07:23 EDT
I see essentially the same problem with FC4t3 on PowerPC (Mac mini).  After
MediaTest [done in ncurses VGA character-cell "graphics"], the Installer detects
  ATI Radeon 9200
  A50 monitor [ViewSonic] 
  Generic 3-button mouse
then tries to start X11 for graphical install, but the screen goes blank, the
monitor hardware gives an on-screen message FREQUENCY OVER RANGE for a couple
seconds, then the monitor enters what looks like DPMS Suspend mode, and the
install goes nowhere.  Ctrl-Alt-DEL does not reboot; the only recovery is by
power cycling the box.  I did so, then used "boot: linux text" to install.

This situation in FC4t3 is better than the previous FC4t2, where the same
problem (FREQUENCY OVER RANGE) happened even earlier, at the transition from
yaboot[OpenFirmware] --> initial Linux console.

A related but different problem on the same hardware (PowerPC Mac mini, Apple
DVI-to-VGA adapter, ViewSonic A50 CRT monitor) is describled in bug #156826.
See also https://bugs.freedesktop.org/show_bug.cgi?id=3280 .

"kudzu -p -b DDC" under kernel-2.6.11-1.1290_FC4 gives:
Framebuffer ioctl failed. Exiting.
class: MONITOR
bus: DDC
detached: 0
driver: unknown
desc: "A50"
id: VSC455a
horizSyncMin: 30
horizSyncMax: 56
vertRefreshMin: 50
vertRefreshMax: 120
mode: 960x960
mode: 960x720
Comment 4 Chris Lumens 2006-08-03 16:17:20 EDT
Please try again with FC6 or FC6 test 2.  Lots of work has gone into X
configuration and startup for this release.
Comment 5 John Thacker 2006-10-29 17:20:50 EST
I actually get something related on an FC6 install.  I have a widescreen
1680x1050 monitor (BenQ FP202W), and anaconda apparently tries to run in a
non-widescreen resolution that causes odd video glitches in my display.  Massive
ghosting and images that appear partially on one part of the screen and
partially on the other.  It doesn't give a totally unsupported video mode, but
it is almost unreadable.  It's just readable enough that I can do the install,
but it looks wrong.  Video card is a Radeon X850 which works perfectly fine upon
rebooting and in X (choosing the correct resolution), just not in anaconda when
Comment 6 Bug Zapper 2008-04-03 21:56:07 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 7 Bug Zapper 2008-05-06 11:29:19 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.